#ifndef _BREAKOUTSCORECOUNTER_H_
#define _BREAKOUTSCORECOUNTER_H_

#include "Vector2.h"
#include "Colour.h"
#include "Visualisation.h"

class BreakoutScoreCounter
{
	public:
	BreakoutScoreCounter(const Vector2i &pos, const ColourRGB &colour, int val = 0); //Number of digits to be displayed.
	~BreakoutScoreCounter();

	void Update(const int &val);
	void Draw();

	void SetPosition(const Vector2i &pos) { m_position = pos; }
	Vector2i GetPosition() { return m_position; }

	protected:
	Vector2i m_position;
	int m_value;
	SpriteID m_digits[10]; //Constant because there's only ever going to be 10 digits (e.g. 0-9)
};

#endif
